Name:           python-amazon-braket-schemas
Version:        1.24.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An open source library that contains the schemas for Amazon Braket

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/amazon-braket/amazon-braket-schemas-python
Source:         %{pypi_source amazon_braket_schemas}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'amazon-braket-schemas' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-amazon-braket-schemas
Summary:        %{summary}

%description -n python3-amazon-braket-schemas %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-amazon-braket-schemas docs,linters,test


%prep
%autosetup -p1 -n amazon_braket_schemas-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs,linters,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-amazon-braket-schemas -f %{pyproject_files}


%changelog
%autochangelog